# Class RefactoringWizardPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.ltk.ui.refactoring.RefactoringWizardPage

All Implemented Interfaces:
  `IDialogPage, IMessageProvider, IWizardPage`

Direct Known Subclasses:
  `UserInputWizardPage`

public abstract class RefactoringWizardPage extends WizardPage
An abstract base implementation of a refactoring wizard page. The class provides access to the refactoring wizard and to the refactoring itself. Refactoring wizard pages can only be added to a `RefactoringWizard`. Adding them to a normal wizard result in an exception.

Note: this class is not intended to be subclassed by clients. Clients should extend `UserInputWizardPage`.

See Also:
  - `RefactoringWizard`
  - `Refactoring`
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`REFACTORING_SETTINGS`

### Fields inherited from interface IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RefactoringWizardPage(String name)`
Creates a new refactoring wizard page.
`protected`
`RefactoringWizardPage(String name, boolean wizard)`
Creates a new refactoring wizard page.

## Method Summary

Modifier and Type
Method
Description
`protected Refactoring`
`getRefactoring()`
Returns the refactoring associated with this wizard page.
`protected IDialogSettings`
`getRefactoringSettings()`
Returns the refactoring wizard's dialog settings.
`protected RefactoringWizard`
`getRefactoringWizard()`
Returns the page's refactoring wizard.
`protected boolean`
`performFinish()`
Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted.
`void`
`setWizard(IWizard newWizard)`
Sets the wizard that hosts this wizard page.

### Methods inherited from class WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, toString`

### Methods inherited from class DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Methods inherited from interface IWizardPage

`getMinimumPageSize`

## Field Details

### REFACTORING_SETTINGS

public static final String REFACTORING_SETTINGS

See Also:
  - Constant Field Values

## Constructor Details

### RefactoringWizardPage

protected RefactoringWizardPage(String name, boolean wizard)
Creates a new refactoring wizard page.

Note: this constructor is not intended to be used outside the refactoring framework.

Parameters:
  `name` - the page's name.
  `wizard` - `true` if the page belongs to a conventional wizard, `false` otherwise
Since:
  3.2
See Also:
  - `IWizardPage.getName()`

### RefactoringWizardPage

protected RefactoringWizardPage(String name)
Creates a new refactoring wizard page.

Parameters:
  `name` - the page's name.
See Also:
  - `IWizardPage.getName()`

## Method Details

### setWizard

public void setWizard(IWizard newWizard)
Sets the wizard that hosts this wizard page. Once established, a page's wizard cannot be changed to a different wizard. This method asserts that the wizard passed as a parameter is of type `RefactoringWizard`.

Specified by:
  `setWizard` in interface `IWizardPage`
Overrides:
  `setWizard` in class `WizardPage`
Parameters:
  `newWizard` - the wizard
See Also:
  - `IWizardPage.getWizard()`

### getRefactoring

protected Refactoring getRefactoring()
Returns the refactoring associated with this wizard page. Returns `null` if the page isn't been added to any refactoring wizard yet.

Returns:
  the refactoring associated with this refactoring wizard page or `null`

### getRefactoringWizard

protected RefactoringWizard getRefactoringWizard()
Returns the page's refactoring wizard.

Returns:
  the page's refactoring wizard or `null` if the wizard hasn't been set yet

### performFinish

protected boolean performFinish()
Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted. This method is called by the refactoring wizard on the currently active refactoring wizard page.

Returns:
  `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused

### getRefactoringSettings

protected IDialogSettings getRefactoringSettings()
Returns the refactoring wizard's dialog settings.

Returns:
  the refactoring wizard's dialog settings or `null` if no settings are associated with the refactoring wizard dialog